Package org.apache.sysds.runtime.instructions.fed

## Class QuaternaryFEDInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.fed.FEDInstruction
    - - org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction
      - - org.apache.sysds.runtime.instructions.fed.QuaternaryFEDInstruction

All Implemented Interfaces:
  `LineageTraceable`

Direct Known Subclasses:
  `QuaternaryWCeMMFEDInstruction`, `QuaternaryWDivMMFEDInstruction`, `QuaternaryWSigmoidFEDInstruction`, `QuaternaryWSLossFEDInstruction`, `QuaternaryWUMMFEDInstruction`

    public abstract class QuaternaryFEDInstruction
    extends ComputationFEDInstruction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

`FEDInstruction.FederatedOutput, FEDInstruction.FEDType`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

`input1, input2, input3, output`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

### Method Summary

All Methods Static Methods Concrete Methods
`static QuaternaryFEDInstruction` `parseInstruction​(String str)`
`static QuaternaryFEDInstruction` `parseInstruction​(QuaternaryCPInstruction inst, ExecutionContext ec)`
`static QuaternaryFEDInstruction` `parseInstruction​(QuaternarySPInstruction inst, ExecutionContext ec)`

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

`getLineageItem, getOutputVariableName`

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

`getFEDInstructionType, getTID, getType, setTID`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getGraphString, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, postprocessInstruction, preprocessInstruction, printMe, processInstruction, requiresLabelUpdate, setInstID, setLocation, setLocation, setLocation, setLocation, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

`getLineageItems, hasSingleLineage`

### Method Detail

#### parseInstruction

    public static QuaternaryFEDInstruction parseInstruction​(QuaternaryCPInstruction inst,
                                                            ExecutionContext ec)

#### parseInstruction

    public static QuaternaryFEDInstruction parseInstruction​(QuaternarySPInstruction inst,
                                                            ExecutionContext ec)

#### parseInstruction

    public static QuaternaryFEDInstruction parseInstruction​(String str)